Skip to main content

Update Association

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.ghl_update_association

Update the labels of an existing association. Only user-defined associations can be updated.

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-ghl-update-association-example",
"method": "tools/call",
"params": {
"name": "ghl.ghl_update_association",
"arguments": {
"associationId": "associationId_123",
"firstObjectLabel": "",
"secondObjectLabel": "",
"tenantId": "tenantId_123"
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"associationId": {
"type": "string"
},
"firstObjectLabel": {},
"secondObjectLabel": {}
},
"required": [
"associationId",
"firstObjectLabel",
"secondObjectLabel"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-ghl-update-association-example",
"method": "tools/call",
"params": {
"name": "ghl.ghl_update_association",
"arguments": {
"associationId": "associationId_123",
"firstObjectLabel": "",
"secondObjectLabel": "",
"tenantId": "tenantId_123"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.ghl_update_association executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}